MAN(1)

NAAM
man - een interface voor de online-handleidingen

SAMENVATTING
man [-C file] [-d] [-D] [--warnings[=warnings]] [-R encoding] [-L locale] [-m system[,...]] [-M path] [-S list] [-e extension] [-i|-I] [--regex|--wildcard] [--names-only] [-a] [-u] [--no-subpages] [-P pager] [-r prompt] [-7] [-E encoding] [--no-hyphenation] [--no-justification] [-p string] [-t] [-T[device]] [-H[browser]] [-X[dpi]] [-Z] [[section] page[.section] ...] ...
man -k [apropos options] regexp ...
man -K [-w|-W] [-S list] [-i|-I] [--regex] [section] term ...
man -f [whatis options] page ...
man -l [-C file] [-d] [-D] [--warnings[=warnings]] [-R encoding] [-L locale] [-P pager] [-r prompt] [-7] [-E encoding] [-p string] [-t] [-T[device]] [-H[browser]] [-X[dpi]] [-Z] file ...
man -w|-W [-C file] [-d] [-D] page ...
man -c [-C file] [-d] [-D] page ...
man [-?V]

BESCHRIJVING
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order ("1 n l 8 3 2 3posix 3pm 3perl 3am 5 4 9 6 7" by default, unless overridden by the SECTION directive in /etc/manpath.config), and to show only the first page found, even if page exists in several sections. De onderstaande tabel toont de sectie-nummers van de handleiding, gevolgd door de paginasoorten die ze bevatten.
1 | Executable programs or shell commands
2 | System calls (functions provided by the kernel)
3 | Library calls (functions within program libraries)
4 | Special files (usually found in /dev)
5 | File formats and conventions eg /etc/passwd
6 | Games
7 | Miscellaneous (including macro packages and conventions), e.g. man(7), groff(7)
8 | System administration commands (usually only for root)
9 | Kernel routines [Non standard]
Een man-pagina bestaat uit verschillende delen. Gebruikelijke namen van delen bevatten NAAM, SAMENVATTING, CONFIGURATIE, BESCHRIJVING, OPTIES, STOPSTATUS, RETOURWAARDE, FOUTEN, OMGEVING, BESTANDEN, VERSIES, VOLDOEND AAN, NOTITIES, PROGRAMMAFOUTEN, VOORBEELD, AUTEURS, en ZIE OOK. De volgende conventies zijn van toepassing op het deel SAMENVATTING en kunnen als voorbeeld voor andere delen gebruikt worden.
bold text | type exactly as shown.
italic text | replace with appropriate argument.
[-abc] | any or all arguments within [ ] are optional.
-a|-b | options delimited by | cannot be used together.
argument ... | argument is repeatable.
[expression] ... | entire expression within [ ] is repeatable.
Exacte opmaak kan variëren afhankelijk van het uitvoerapparaat. Zo kan man meestal geen cursieve tekst tonen als het in een terminal wordt uitgevoerd en zal in plaats daarvan onderstreepte of gekleurde tekst gebruiken. De illustratie van functie of opdracht is een patroon die overeen moet komen met alle mogelijke aanroepen. In sommige gevallen heeft het de voorkeur meerdere uitsluitende aanroepen te illustreren, zoals in de sectie SAMENVATTING van deze man-pagina wordt getoond.

VOORBEELDEN

man ls
    Toon de man-pagina voor het item (programma) ls.

man man.7
    Display the manual page for macro package man from section 7.

man -a introductie
    Alle beschikbare introductie-pagina's van de handleiding in volgorde tonen. Het is mogelijk tussen de opeenvolgende weergaven te stoppen of ze over te slaan.

man -t alias | lpr -Pps
    De man-pagina waarnaar `alias' verwijst, meestal een shell-man-pagina, opmaken als standaard troff of groff en deze doorsturen naar printer ps. De standaarduitvoer van groff is meestal Postscript. man --help moet aangeven welke processor met de optie -t is gekoppeld.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Deze opdracht zal de nroff-bron van man-pagina ./foo.1x.gz decomprimeren en indelen als een apparaatonafhankelijk (dvi) bestand. De omleiding is nodig omdat de vlag -T de uitvoer zonder opmaak naar stdout stuurt. De uitvoer moet bekeken worden met een programma zoals xdvi, of verder bewerkt worden naar Postscript met bijvoorbeeld dvips.

man -k printf
    Zoek in de korte beschrijvingen en namen van man-pagina's naar het trefwoord printf als reguliere expressie. Toon iedere treffer. Komt overeen met apropos printf.

man -f smail
    Alle korte beschijvingen tonen van de man-pagina's waarnaar verwezen wordt door smail. Is gelijk aan whatis smail.

OVERZICHT
Om de gebruiker maximale flexibiliteit te geven, heeft man vele opties. Het zoekpad, de volgorde van secties, de wijze van uitvoerverwerking en andere gedrag kan worden aangepast, waarover hieronder meer informatie staat. Verschillende omgevingsvariabelen worden uitgelezen om te bepalen hoe mandb werkt, mits ingesteld. Het is mogelijk om de `catch all'-variabele $MANOPT op iedere tekenreeks in te stellen, zoals in een opdrachtregel, met als uitzondering dat iedere spatie die als onderdeel van een optieargument wordt gebruikt, voorafgegaan moet worden door een backslash. man zal eerst $MANOPT ontleden vóór zijn eigen opdrachtregel. De opties die een argument vereisen, worden overschreven door gelijknamige opties op de opdrachtregel. Om alle opties die in $MANOPT insteld zijn te herstellen, kan -D worden opgegeven als de eerste optie van de opdrachtregel. Zo kan man opties die opgegeven zijn in $MANOPT `vergeten', hoewel ze nog wel geldig moeten zijn. De opmaakhulpprogramma's opgeslagen als man-db maken intensief gebruik van index-database-caches. Deze caches bevat informatie, zoals de locatie van iedere man-pagina en de inhoud van watis (korte, éénregelige beschrijving van de man-pagina), en maakt het mogelijk dat man sneller resultaten vindt dan met het iedere keer doorzoeken van het bestandssysteem om de juiste man-pagina te vinden. Wordt man aangeroepen met de optie -u, dan zal de cache consistent blijven, waarmee voorkomen wordt dat software handmatig uitgevoerd moet worden om traditionele watis-tekstdatabases bij te werken. Als man een door mandb geïnitialiseerde index-database voor een bepaalde man-paginastructuur niet kan vinden, dan zal het toch naar de gevraagde man-pagina's zoeken, hoewel hiervoor expansie van jokertekens (file globbing) nodig zal zijn. Als whatis en apropos beide index niet kunnen vinden, dan zal het informatie uit een traditionele watis-database halen. Deze hulpprogramma's ondersteunen standaard gecomprimeerde nroff-bronbestanden met extenties .Z, .z en .gz. Iedere compressie-extentie is mogelijk, maar dit moet dan bekend zijn tijdens compileren. Standaard zijn ook alle aangemaakte categoriepagina's gecomprimeerd met gzip. Iedere `algemene' man-paginastructuur, zoals /usr/share/man of /usr/X11R6/man mag iedere map als zijn categoriepaginastructuur hebben. Oorspronkelijk zijn de categoriepagina's opgeslagen in dezelfde structuur als de man-pagina's, maar vanwege redenen zoals beschreven in de File Hierarchy Standard (FHS) kan het de beter zijn om ze ergens anders op te slaan. Voor meer informatie over de wijze waarop, wordt verwezen naar manpath(5). Internationale ondersteuning is beschikbaar voor dit pakket. Man-pagina's in de eigen taal zijn toegankelijk (mits beschikbaar op uw systeem) via het gebruik van taalgebied-functies. Om dergelijke ondersteuning in te schakelen, is het nodig om $LC_MESSAGES, $LANG of een andere, systeemafhankelijke omgevingsvariabele in te stellen op uw eigen taalgebied, meestal opgegeven als (POSIX 1003.1): <taal>[_<gebied>[.<karakter-set>[,<versie>]]] Als de gewenste pagina in uw taalgebied beschikbaar is, zal het getoond worden in plaats van de standaardpagina (meestal Amerikaans Engels). Ondersteuning van internationale programmateksten is ook in dit pakket opgenomen en kan op dezelfde wijze worden geactiveerd, mits natuurlijk weer beschikbaar. Als u ontdekt dat de man-pagina's en programmateksten niet beschikbaar zijn in uw eigen taal en u wilt ze zelf vertalen, neem dan contact op met de ontwikkelaar die deze activiteit coördineert. Voor informatie over andere beschikbare functionaliteiten en uitbreidingen in deze man-paginaopmaker wordt verwezen naar de documenten bij dit pakket.

STANDAARDEN
man zal naar de gewenste man-pagina in het index-databasecache zoeken. Als de optie -u opgegeven is, wordt de consistentie van de cache gecontroleerd om er zeker van te zijn dat de databases een goede afspiegeling zijn van het bestandssysteem. Als deze optie altijd opgegevens wordt, is het over het algemeen niet nodig om mandb uit te voeren nadat de caches zijn aangemaakt, tenzij een cache verminkt raakt. Echter, de controle op consistentie van caches kan langzaam zijn op systemen met veel man-pagina's. Daarom wordt het niet standaard uitgevoerd en de systeembeheerders zouden mandb iedere week kunnen draaien en zo de databasecache actueel houden. Om problemen door verouderde cache te voorkomen, valt man bij het mislukken van het zoeken in het cache terug op de expansie van jokertekens (file globbing), net zoals het zou doen bij afwezigheid van cache. Nadat een man-pagina is gevonden, wordt gezocht naar een vooropgemaakt `catalogusbestand' en gecontroleerd of het nieuwer is dan het nroff-bestand. Als aan beide voorwaarden voldaan is, wordt dit vooropgemaakte bestand (meestal) gedecomprimeerd en vervolgens getoond via het gebruik van een opmaker. De opmaker kan op een aantal manieren worden opgegeven en anders wordt er teruggevallen op de standaardinstelling (zie optie -p voor meer informatie). Als er geen catalogus gevonden wordt of als deze ouder is dan het nroff-bestand, wordt de nroff door verschillende programma's verwerkt en direct weergegeven. Als een catalogusbestand aangemaakt kan worden (een relatieve catalogusmap bestaat en heeft de juiste rechten), zal man het bestand comprimeren opslaan op de achtergrond. The filters are deciphered by a number of means. Firstly, the command line option -p or the environment variable $MANROFFSEQ is interrogated. If -p was not used and the environment variable was not set, the initial line of the nroff file is parsed for a preprocessor string. To contain a valid preprocessor string, the first line must resemble '\" <string> waarbij string iedere combinatie van letters kan zijn, hieronder beschreven door optie -p. Als geen van de bovenstaande methoden filterinformatie oplevert, worden standaardinstellingen gebruikt. Een informatiestroom die de opmaak verzorgt, wordt gevormd door de filters en de hoofdopmaker (nroff of [tg]roff met -t) wordt uitgevoerd. Als alternatief kan er een programma worden uitgevoerd mandb_nfmt (of mandb_tfmt met -t) mits deze bestaat in de top van de manstructuur. Het ontvangt het bronbestand van de man-pagina, de preprocessorstring en optioneel het apparaat dat is gespecificeerd met de argumenten -T of -E.

OPTIES
Opties zonder argument die dubbel voorkomen in de opdrachtregel, in $MANOPT of in beide, zijn niet schadelijk. Opties die wel een argument vereisen, worden overschreven door ieder duplicaat.

  Algemene opties

-C bestand, --config-file=bestand
    Gebruik dit gebruikersconfiguratiebestand in plaats van de standaard van ~/.manpath.

-d, --debug
    Foutinformatie tonen.

-D, --default
    Deze optie wordt normaal als allereerste opgegeven en hersteld het gedrag van man. Het wordt gebruikt om die opties te herstellen die mogelijk in $MANOPT zijn opgegeven. Iedere optie die volgt op -D zal het normale effect hebben.

--warnings[=warnings]
    Waarschuwingen afkomstig van groff inschakelen. Dit kan worden gebruikt om de geldigheid van de broncode van man-pagina's te controleren. waarschuwingen is een kommagescheiden lijst met waarschuwingsnamen; als het niet is opgegeven, is de standaard "mac". Zie de opmerking “Warnings” in info groff voor een lijst met beschikbare waarschuwingsnamen.

  Belangrijkste uitvoeringswijzen

-f, --whatis
    Equivalent to whatis. Display a short description from the manual page, if available. See whatis(1) for details.

-k, --apropos
    Equivalent aan apropos. Doorzoek de korte man-paginabeschrijvingen op trefwoorden en toon alle overeenkomsten. Zie apropos(1) voor meer informatie.

-K, --global-apropos
    Naar tekst zoeken in alle man-pagina's. Dit is een zoekactie met brute kracht en zal mogelijk nogal wat tijd kosten; indien mogelijk kunt u een sectie opgeven om het aantal pagina's dat doorzocht moet worden te reduceren. Zoektermen kunnen eenvoudige tekenreeksen zijn (de standaard) of reguliere expressies in het geval de optie --regex is gebruikt.

    Note that this searches the sources of the manual pages, not the rendered text, and so may include false positives due to things like comments in source files. Searching the rendered text would be much slower.

-l, --local-file
    'Lokale' modus activeren. Lokale man-bestanden opmaken en weergeven in plaats van het zoeken door de verzameling handleidingen van het systeem. Ieder man-paginaargument zal worden opgevat als een nroff-bronbestand in de juiste opmaak. Er wordt geen cat-bestand aangemaakt. Als '-' opgenomen is als een van de argumenten, dan wordt de invoer uit stdin gehaald. Als deze optie niet wordt gebruikt en man kan de vereiste pagina niet vinden, dan wordt, voordat de foutmelding wordt getoond, geprobeerd de naam als een bestandsnaam te gebruiken en naar een exacte overeenkomst gezocht.

-w, --where, --path, --location
    De man-pagina's niet tonen, maar wel de locatie(s) weergeven van de nroff-bronbestanden die opgemaakt zouden worden.

-W, --where-cat, --location-cat
    De man-pagina's niet tonen, maar wel de locatie(s) van de cat-bestanden die weergegeven zouden worden. Waneer -w en -W beide opgegeven zijn, toon dan beide gescheiden door een spatie

-c, --catman
    De optie is niet voor algemeen gebruik en mag alleen gebruikt worden door het programma catman.

-R encoding, --recode=encoding
    In plaats van de man-pagina op de gebruikelijke wijze op te maken, schrijf de broncode weg, geconverteerde naar de opgegven encoding. Wanneer u de codering van het bronbestand al weet, dan kunt u ook direct gebruik maken van manconv(1). Deze optie geeft u echter de mogelijkheid om meerdere map-pagina's naar een enkele codering te converteren zonder expliciet de codering voor elke apart op te moeten geven, mits ze al geïnstalleerd zijn in een structuur die overeenkomt met die van de man-pagina's.

  Man-pagina's vinden

-L taalgebied, --locale=taalgebied
    man zal normaal uw huidige taalgebied bepalen met een aanroep van de C-functie setlocale(3) die verschillende omgevingsvariabelen bevraagt, waaronder mogelijk $LC_MESSAGES en $LANG. Om de vastgestelde waarde tijdelijk te overschrijven gebruikt u deze optie om een taalgebied direct aan man door te geven. Merk op dat dit geen effect heeft totdat het zoeken naar de pagina's daadwerkelijk begint. Uitvoer zoals de hulptekst zal altijd getoond worden in de taal die in eerste instantie bepaald is.

-m systeem[,...], --systems=systeem[,...]
    Wanneer dit systeem toegang heeft tot man-pagina's van andere besturingssystemen, dan kunnen ze benaderd worden met deze optie. Om naar een man-pagina uit de verzameling man-pagina's van NieuwOS te zoeken, gebruikt u de optie -m NieuwOS. Het opgegeven systeem kan bestaan uit een combinatie van kommagescheiden namen van besturingssystemen. Om ook de man-pagina's van het eigen besturingssysteem te doorzoeken, voegt u de systeemnaam man toe aan de argumentstring. Deze optie gaat voor op de omgevingsvariabele $SYSTEM.

-M pad, --manpath=pad
    Geef een alternatief man-pad op. Standaard gebruikt man manpath om het zoekpad te bepalen. De optie gaat voor op de omgevingsvariabele $MANPATH en zorgt dat optie -m wordt genegeerd. Een pad dat als man-pad opgegeven wordt, moet de top van de man-paginastructuur zijn, verdeeld in secties zoals in de man-db-handleiding is beschreven (onder "Het man-paginasysteem"). Man-pagina's buiten deze structuur kunnen bekeken worden via optie -I.

-S lijst, -s lijst, --sections=lijst
    Lijst bestaat uit een opsomming met `orderspecifieke' man-secties die doorzocht moeten worden, gescheiden door een dubbelepunt of komma. Deze optie gaat voor op de omgevingsvariabele $MANSECT, (De spelling -s is voor compatibiliteit met System V.)

-e sub-extensie, --extension=sub-extensie
    Sommige systemen bevatten grote hoeveelheden man-pagina's in de hoofdstructuur, bijvoorbeeld pagina's die behoren tot het pakket Tcl. Om het probleem van man-pagina's met dubbele namen te omzeilen, bijvoorbeeld exit(3), waren de Tcl-pagina's vaak toegekend aan sectie I. Omdat dit niet fraai is, is het nu mogelijk om de pagina's in de juiste sectie te plaatsen en er een specifieke `extensie' aan toe te kennen, in dit geval exit(3tcl). Standaard zal man exit(3) tonen en niet de voorkeur geven aan exit(3tcl). Om uit deze situatie te komen, maar ook te voorkomen dat de sectie waarin de pagina zich bevindt bekend moet zijn, is het nu mogelijk om man een sub-extensie te geven die aangeeft aan welk pakket de pagina toebehoort. Doorgaand op het eerder genoemde voorbeeld zal de optie -e tcl van man het zoeken beperken tot pagina's met de extentie *tcl.

-i, --ignore-case
    Hoofdletters zijn niet van invloed bij het zoeken naar man-pagina's. Dit is het standaardgedrag.

-I, --match-case
    Hoofdletters zijn van invloed bij het zoeken naar man-pagina's.

--regex
    Alle pagina's weergeven indien een deel van hun naam of beschrijving overeenkomt met elk pagina-argument als een reguliere expressie, zoals bij apropos(1). Omdat er bij het zoeken naar een reguliere expressie vaak geen goede wijze is om de "beste" pagina te kiezen, impliceert deze optie -a

--wildcard
    Alle pagina's tonen met elke deel van hun namen of hun beschrijvingen die overeenkomen met ieder pagina-argument gebruikmakend van shell-achtige jokertekens, zoals met apropos(1) --wildcard. Het argument pagina moet overeenkomen met de volledige naam of beschrijving, of op de woordgrenzen in de beschrijving. Omdat er bij het zoeken met jokertekens meestal geen manier is om de "beste" pagina te kiezen, impliceert deze optie -a.

--names-only
    Als de optie --regex of --wildcard is gebruikt, zoek dan alleen naar overeenkomsten in paginanamen en niet in paginabeschrijvingen, zoals met watis(1). Anders is er geen effect.

-a, --all
    Standaard zal man stoppen na het weergeven van de meeste geschikte man-pagina die het kan vinden. Door gebruik te maken van deze optie, wordt man gedwongen alle man-pagina's te tonen met namen die overeenkomen met de zoekcriteria.

-u, --update
    Deze optie zorgt ervoor dat man een controle op `inode-level'-consistentie van zijn databasecaches uitvoert om te waarborgen dat ze een juiste representatie van het bestandssysteem zijn. Het zal alleen een nuttig effect hebben als man is geïnstalleerd met de setuid-bit-collectie.

--no-subpages
    By default, man will try to interpret pairs of manual page names given on the command line as equivalent to a single manual page name containing a hyphen or an underscore. This supports the common pattern of programs that implement a number of subcommands, allowing them to provide manual pages for each that can be accessed using similar syntax as would be used to invoke the subcommands themselves. For example:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Met de optie --no-subpages wordt dit gedrag uitgeschakeld.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Opgemaakte uitvoer beheersen

-P opmaker, --pager=opmaker
    Specify which output pager to use. By default, man uses pager, falling back to cat if pager is not found or is not executable. This option overrides the $MANPAGER environment variable, which in turn overrides the $PAGER environment variable. It is not used in conjunction with -f or -k. De waarde kan bestaan uit een eenvoudige opdrachtnaam of een opdracht met argumenten, waarbij shell-tekens gebruikt mogen worden (backslashes en enkele of dubbele aanhalingstekens). Er mogen geen 'pipes' gebruikt worden om meerdere opdrachten te koppelen; als dit nodig is, gebruik dan een wrapper-script die het te tonen bestand als argument of als standaardinvoer kan nemen.

-r prompt, --prompt=prompt
    Als een recente versie van less als opmaker is gebruikt, zal man proberen zijn prompt en enkele nuttige opties in te stellen. De standaardprompt ziet eruit als Man-pagina naam(sec) regel x waarbij naam staat voor de naam van de man-pagina, sec voor de sectie waaronder het gevonden is en x voor het huidige regelnummer. Dit is gerealiseerd door het gebruik van de omgevingsvariabele $LESS. Door -r met een string op te geven wordt de standaard overschreven. De string mag de tekst $MAN_PN bevatten wat wordt uitgebreid tot de naam van de huidige man-pagina en zijn sectienaam omgeven door `(' en `)'. De string die gebruikt wordt om de standaardwaarde te genereren kan worden uitgedrukt als \ Man\ pagina\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (press h for help or q to quit) It is broken into three lines here for the sake of readability only. For its meaning see the less(1) manual page. The prompt string is first evaluated by the shell. All double quotes, back-quotes and backslashes in the prompt must be escaped by a preceding backslash. The prompt string may end in an escaped $ which may be followed by further options for less. By default man sets the -ix8 options. The $MANLESS environment variable described below may be used to set a default prompt string if none is supplied on the command line.

-7, --ascii
    Bij het bekijken van een man-pagina puur in ascii(7) op een 7-bit-terminal of -terminal-emulator kunnen sommige tekens niet goed worden weergegeven als het gebruik maakt van de apparaatbeschrijving latin1(7) met GNU nroff. Deze optie staat toe man-pagina's in puur ascii te tonen in ascii op een latin1-apparaat. Er zal geen latin1-tekst worden omgezet. De volgende tabel toon de uitgevoerde omzettingen: sommige van de delen kunnen alleen correct worden getoond bij gebruik van GNU nroff's latin1(7)-apparaat.
    Description | Octal | latin1 | ascii
    continuation hyphen | 255 |  | -
    bullet (middle dot) | 267 | • | o
    acute accent | 264 | ´ | '
    multiplication sign | 327 | × | x
    Als de inhoud van kolom latin1 juist is, staat uw terminal waarschijnlijk op latin1-tekens ingesteld en is deze optie niet noodzakelijk. Als de kolommen latin1 en ascii identiek zijn, dan bekijk u deze pagina gebruikmakend van deze optie, of man heeft de pagina niet opgemaakt volgens de latin1-apparaatbeschrijving. Als de kolom latin1 ontbreekt of de inhoud verminkt is, dan moet u de man-pagina's waarschijnlijk met deze optie bekijken. Deze optie wordt genegeerd bij gelijktijdig gebruik van de opties -t, -H, -T of -Z en is mogelijk nutteloos bij een andere nroff dan die van GNU.

-E codering, --encoding=codering
    Uitvoer aanmaken voor een tekencodering die afwijkt van de standaard. Voor achterwaartse compatibiliteit mag codering een nroff-apparaat zijn zoals een ascii, latin1 of utf8, maar ook een echte tekencodering zoals UTF-8.

--no-hyphenation, --nh
    Normaal zal nroff tekst op regeleinden automatisch afbreken, zelfs in woorden die geen afbreekteken bevatten, als het nodig is om deze woorden over een regel te verdelen zonder excessieve witruimte. Deze optie schakelt automatisch afbreken uit, zodat woorden alleen afgebroken worden als ze al afbreektekens bevatten. Als u een man-pagina schrijft en wilt voorkomen dat nroff een woord afbreekt op een ongeschikte plek, gebruik dan deze optie niet, maar lees de nroff-documentatie over dit punt; zo kunt u bijvoorbeeld "\%" binnen een woord plaatsen om aan te geven dat er op deze plek mag worden afgebroken, of plaats "\%" aan het begin van een woord om te voorkomen dat het wordt afgebroken.

--no-justification, --nj
    Normaal zal nroff tekst automatisch tussen beide marges uitvullen. Deze optie schakelt volledige uitvulling uit, waarbij alleen uitlijnen tegen de linker marge overblijft. Als u tijdens het schrijven van een man-pagina wilt verhinderen dat nroff bepaalde alinea's uitvult, kunt u deze optie beter niet gebruiken. Raadpleeg liever de nroff-documentatie; u kunt bijvoorbeeld de ".na", ".nf", ".fi" en ".ad" gebruiken om aanpassing en uitvulling uit te schakelen.

-p string, --preprocessor=string
    Geef de volgorde van preprocessors aan die vóór nroff of troff/groff uitgevoerd moeten worden. Niet alle installaties zullen over een volledige verzameling van preprocessors beschikken. Sommige preprocessors en de aan hen toegewezen letters zijn: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Deze optie overschrijft de omgevingsvariabele $MANROFFSEQ. zsoelim wordt altijd als de allereerste preprocessor uitgevoerd.

-t, --troff
    Gebruik groff -mandoc om de man-pagina voor stdout op te maken. Deze optie is niet vereist in samenhang met -H, -T of -Z.

-T[device], --troff-device[=device]
    Deze optie wordt gebruikt om uitvoer van groff (of mogelijk troff's) geschikt te maken voor een apparaat anders dan de standaard. Het veronderstelt -t. Voorbeelden (geleverd met Groff-1.17) zijn dvi, latin1, ps, utf8, X75 en X100.

-H[browser], --html[=browser]
    Deze optie laat groff HTML-uitvoer produceren en toont deze uitvoer in een webbrowser. De keuze voor een browser wordt bepaald door het optionele browser-argument, de door omgevingsvariabele $BROWSER of door een compilatiestandaard (meestal lynx). Deze optie veronderstelt -t en werkt alleen samen met GNU troff.

-X[dpi], --gxditview[=dpi]
    Deze optie toont de uitvoer van groff in een grafisch venster via het gxditview-programma. De dpi-instelling (dots per inch) kan 75, 75-12, 100 of 100-12 zijn, met als standaard 75. De -12-varianten gebruiken een 12-punts basislettertype. Deze optie veronderstelt -T met een X75-, X75-12-, X100- resp. X100-12-apparaat.

-Z, --ditroff
    groff zal troff uitvoeren en vervolgens een geschikte postprocessor gebruiken om de uitvoer te maken die geschikt is voor het gekozen apparaat. Als groff -mandoc groter is dan groff wordt deze optie doorgegeven an groff en wordt er geen postprocessor gebruikt. Het impliceert -t.

  Hulp krijgen

-?, --help
    Een hulptekst tonen en stoppen.

--usage
    Print a short usage message and exit.

-V, --version
    Versieinformatie tonen.

STOPSTATUS

0   Programma correct uitgevoerd.

1   Gebruiks-, syntax- of configuratiebestandfout.

2   Uitvoeringsfout.

3   Een child-proces gaf een stopstatus ongelijk aan nul.

16  Minstens een van de pagina's/bestanden/trefwoorden bestond niet of kwam niet overeen.

OMGEVING

MANPATH
    Als $MANPATH ingesteld is, wordt het pad gebruikt om naar man-pagina's te zoeken.

MANROFFOPT
    De inhoud van $MANROFFOPT wordt aan de opdrachtregel toegevoegd iedere keer als man een beroep doet op de opmaker (nroff, troff of groff).

MANROFFSEQ
    Als $MANROFFSEQ ingesteld is, wordt de waarde gebruikt om de preprocessors vast te stellen waarmee iedere man-pagina verwerkt wordt. De standaard preprocessorlijst is systeemafhankelijk.

MANSECT
    If $MANSECT is set, its value is a colon-delimited list of sections and it is used to determine which manual sections to search and in what order. The default is "1 n l 8 3 2 3posix 3pm 3perl 3am 5 4 9 6 7", unless overridden by the SECTION directive in /etc/manpath.config.

MANPAGER, PAGER
    If $MANPAGER or $PAGER is set ($MANPAGER is used in preference), its value is used as the name of the program used to display the manual page. By default, pager is used, falling back to cat if pager is not found or is not executable. De waarde kan bestaan uit een eenvoudige opdrachtnaam of een opdracht met argumenten, waarbij shell-tekens gebruikt mogen worden (backslashes en enkele of dubbele aanhalingstekens). Er mogen geen 'pipes' gebruikt worden om meerdere opdrachten te koppelen; als dit nodig is, gebruik dan een wrapper-script die het te tonen bestand als argument of als standaardinvoer kan nemen.

MANLESS
    If $MANLESS is set, its value will be used as the default prompt string for the less pager, as if it had been passed using the -r option (so any occurrences of the text $MAN_PN will be expanded in the same way). For example, if you want to set the prompt string unconditionally to “my prompt string”, set $MANLESS to ‘-Psmy prompt string’. Using the -r option overrides this environment variable.

BROWSER
    Als $BROWSER ingesteld is, bestaat deze uit een dubbelepuntgescheiden lijst met opdrachten, waarbij iedere opdracht poogt een webbrowser voor man --html te starten. In ieder opdracht wordt %s vervangen door een bestandsnaam met de HTML-uitvoer van groff, %% door een enkel procentteken (%) en %c door een dubbelepunt (:).

SYSTEM
    Wanneer $SYSTEM is opgegeven, heeft dit hetzelfde effect als het opgegeven van optie -m als argument.

MANOPT
    If $MANOPT is set, it will be parsed prior to man's command line and is expected to be in a similar format. As all of the other man specific environment variables can be expressed as command line options, and are thus candidates for being included in $MANOPT it is expected that they will become obsolete. N.B. All spaces that should be interpreted as part of an option's argument must be escaped.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, an ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Normaal, als uitvoer niet doorgestuurd wordt naar een terminal (zoals naar een bestand of een pijp), worden opmaaktekens genegeerd om het resultaat makkelijker leesbaar te maken zonder speciale hulpmiddelen. Echter, als $MAN_KEEP_FORMATTING ingesteld is op een niet-lege waarde, dan worden deze opmaaktekens behouden. Dit kan nuttig zijn voor wrappers om man die opmaaktekens kunnen interpreteren.

MAN_KEEP_STDERR
    Normaal, als de uitvoer doorgestuurd wordt naar een terminal (meestal een pagina-opmaker), dan wordt ieder foutenuitvoer van de opdracht om opgemaakte versies van man-pagina's te maken genegeerd om verstoring van de pagina-opmaker te voorkomen. Programma's zoals groff produceren relatief weinig foutmeldingen over typografische problemen zoals slechte uitlijning die lelijk zijn en algemeen verwarrend als ze naast de man-pagina worden getoond. Echter, sommige gebruikers willen ze toch zien, dus, als $MAN_KEEP_STDERR ingesteld is op een niet-lege waarde, zal de foutmelding normaal getoond worden.

LANG, LC_MESSAGES
    Afhankelijk van het systeem en de implementatie, worden $LANG en $LC_MESSAGES bevraagd om de huidige locale te bepalen. man zal zijn meldingen in die locale tonen (mits beschikbaar). Zie setlocale(3) voor de details.

BESTANDEN

/etc/manpath.config
    man-db-configuratiebestand.

/usr/share/man
    Een algemene man-paginahierarchie.

/usr/share/man/index.(bt|db|dir|pag)
    Een traditionele, algemene index-database-cache.

/var/cache/man/index.(bt|db|dir|pag)
    Een algemene index-database-cache, in overeenstemming met FHS.

ZIE OOK
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), setlocale(3), manpath(5), ascii(7), latin1(7), man(7), catman(8), mandb(8), the man-db package manual, FSSTND

GESCHIEDENIS
1990, 1991 – Originally written by John W. Eaton (jwe@che.utexas.edu). 23 dec 1992: Rik Faith (faith@cs.unc.edu) paste reparaties van fouten toe geleverd door Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people. 30th October 1996 – 30th March 2001: Fabrizio Polacco <fpolacco@debian.org> maintained and enhanced this package for the Debian project, with the help of all the community. 31st March 2001 – present day: Colin Watson <cjwatson@debian.org> is now developing and maintaining man-db.